#
# Conditional build:
%bcond_with	hal	# HAL support

Summary:	hwinfo - the hardware detection tool used in SuSE Linux
Summary(pl.UTF-8):	hwinfo - narzędzie do wykrywania sprzętu używane w SuSE Linuksie
Name:		hwinfo
Version:	21.12
Release:	2
License:	GPL v2
Group:		Applications/System
Source0:	http://ftp.debian.org/debian/pool/main/h/hwinfo/%{name}_%{version}.orig.tar.gz
# Source0-md5:	3a97acf3e32e43dfea13b90da1a8403a
Patch0:		%{name}-kbd.patch
Patch1:		%{name}-headers.patch
URL:		http://packages.qa.debian.org/h/hwinfo.html
BuildRequires:	dbus-devel >= 0.35
BuildRequires:	flex
%{?with_hal:BuildRequires:	hal-devel}
%ifarch %{ix86} %{x8664} x32
BuildRequires:	libx86emu-devel >= 1
%endif
BuildRequires:	linux-libc-headers >= 7:2.6.20
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
hwinfo is the hardware detection tool used in SuSE Linux.

%description -l pl.UTF-8
hwinfo to narzędzie do wykrywania sprzętu używane w SuSE Linuksie.

%package devel
Summary:	Header files for hwinfo library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki hwinfo
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for hwinfo library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki hwinfo.

%prep
%setup -q
%patch0 -p0
%patch1 -p1

# these should be in tarball, but aren't (21.6)
test -e VERSION || echo %{version} > VERSION
test -e changelog || touch changelog

%build
%{__make} -j1 \
	VERSION=%{version} \
	ARCH=%{_target_base_arch} \
	CC="%{__cc}" \
	LIBDIR=%{_libdir} \
	RPM_OPT_FLAGS="%{rpmcflags} %{?with_hal:-DWITH_HAL}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	LIBDIR=%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc MAINTAINER README changelog
%attr(755,root,root) %{_sbindir}/check_hd
%attr(755,root,root) %{_sbindir}/convert_hd
%attr(755,root,root) %{_sbindir}/getsysinfo
%attr(755,root,root) %{_sbindir}/hwinfo
%attr(755,root,root) %{_sbindir}/mk_isdnhwdb
%attr(755,root,root) %{_libdir}/libhd.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libhd.so.21
%{_datadir}/%{name}

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libhd.so
%{_includedir}/hd.h
%{_pkgconfigdir}/hwinfo.pc
%changelog
* Wed Jul 22 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/hwinfo.git;a=log;h=master

* Fri May 08 2015 Jakub Bogusz <qboosh@pld-linux.org> a410b87
- x86_64 patch (just LIBDIR change to another hardcoded value) replaced by generic LIBDIR passing to make

* Fri May 08 2015 Jakub Bogusz <qboosh@pld-linux.org> bcb5fdb
- release 2

* Fri May 08 2015 Jakub Bogusz <qboosh@pld-linux.org> 2725cd3
- x86emu also on x32

* Thu May 07 2015 Jakub Bogusz <qboosh@pld-linux.org> 8d6a640
- updated to 21.12

* Fri Jan 02 2015 Elan Ruusamäe <glen@delfi.ee> 464edec
- up to 21.6

* Sun Apr 13 2014 Jakub Bogusz <qboosh@pld-linux.org> 754a1f6
- hal seems no longer used by default

* Sat Apr 12 2014 Jakub Bogusz <qboosh@pld-linux.org> fabf08e
- updated to 21.3
- removed outdated update-vm86 patch

* Sun Sep 25 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 7b1acd6
- release 2

* Sun May 30 2010 arvenil <arvenil@pld-linux.org> c9d3e3a
- up to 16.0

* Thu Sep 18 2008 Paweł Sikora <pluto@pld-linux.org> 0574bd8
- updated to 15.3, fixed build with recent kernel headers, release 1.

* Thu Sep 18 2008 Paweł Sikora <pluto@pld-linux.org> 54db917
- fix build with recent kernel headers.

* Wed Dec 26 2007 zbyniu <zbyniu@pld-linux.org> 3c158d0
- up to 13.41

* Thu May 24 2007 Jakub Bogusz <qboosh@pld-linux.org> e35e061
- more general if

* Thu May 24 2007 arvenil <arvenil@pld-linux.org> 6c597f4
- fix for x86_64 build

* Wed May 23 2007 Jakub Bogusz <qboosh@pld-linux.org> 78a91e8
- updated headers patch, pass optflags in supported way
- .so symlink moved to -devel

* Wed May 23 2007 Jakub Bogusz <qboosh@pld-linux.org> 5a05bf6
- better way

* Wed May 23 2007 arvenil <arvenil@pld-linux.org> 21f2f2a
- BR: flex

* Wed May 23 2007 Jakub Bogusz <qboosh@pld-linux.org> b3b68c3
- pl
- added -devel

* Wed May 23 2007 arvenil <arvenil@pld-linux.org> 8abd176
- fix for searching dbus headers (not sure if this is "the right way" but works)
- removed BR: dbus-devel (hal-devel already requires it)
- patch for searching some header
- BR: linux-libc-headers >= 7:2.6.20 (on AC is too old)

* Wed May 23 2007 Elan Ruusamäe <glen@pld-linux.org> aab0e4b
- kill some insanity (do no package FHS dirs)
- adapterized, cc, cflags

